//////////////////////////////////////////////////////////////// Type Easy Classes

.caps {
  text-transform: uppercase;
}

.serif {
  font-family: $serif;
}

.sans {
  font-family: $sans;
}

.normal {
  a {
    color: $dark;
  }
}

.text-center {
  text-align: center;
}

.text-right {
  text-align: right
}

.small {
  font-size: .875rem;
}

.copyright {
  padding: 0;
  margin: 0;
}

.caption, figcaption {
  font-size: 14px;
  color: $mgrey;
  font-family: $sans;
}

.footer-small {
  color: $mgrey;
  font-size: 14px;
}

figcaption {
  padding: 0px 15px 10px 15px;
}

//////////////////////////////////////////////////////////////// Heading Tags

h1 {
  color: $dark;
  font-size: 1.65rem;
  font-family: $serif;
  line-height: 1.4;
  font-weight: 250;
  margin: 0;
}

h2 {
  color: $dark;
  font-size: 1.45rem;
  font-family: $serif;
  line-height: 1.4;
  font-weight: 250;
  margin: 0;
}

h3 {
  color: $dark;
  font-family: $serif;
  font-size: 1.25rem;
  line-height: 1.4;
  font-weight: 250;
  margin: 0;
}

h4 {
  color: $dark;
  font-family: $serif;
  font-size: 1.125rem;
  line-height: 1.625rem;
  font-weight: 400;
}

h5 {
  color: $dgrey;
  font-family: $serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 2rem;
  margin: 0;
}

h6 {
  color: $dark;
  font-family: $serif;
  font-size: .875rem;
  font-weight: 400;
  line-height: 1.6rem;
  margin: 0;
}

@include breakpoint(medium){
  h1 {
    color: $dark;
    font-size: 2rem;
    font-family: $serif;
    line-height: 1.4;
    font-weight: 250;
    margin: 0;
  }

  h2 {
    color: $dark;
    font-size: 1.5rem;
    font-family: $serif;
    line-height: 1.4;
    font-weight: 250;
    margin: 0;
  }

  h3 {
    color: $dark;
    font-family: $serif;
    font-size: 1.125rem;
    line-height: 1.4;
    font-weight: 250;
    margin: 0;
  }

  h4 {
    color: $dark;
    font-family: $serif;
    font-size: 1rem;
    line-height: 1.625rem;
    font-weight: 400;
  }

  h5 {
    color: $dgrey;
    font-family: $serif;
    font-size: 1.125rem;
    font-weight: 400;
    line-height: 2rem;
    margin: 0;
  }

  h6 {
    color: $dark;
    font-family: $serif;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.6rem;
    margin: 0;
  }
}


@include breakpoint(large) {
  h1 {
    color: $dark;
    font-size: 2.2625rem;
    font-family: $serif;
    line-height: 1.4;
    font-weight: 250;
    margin: 0;
  }

  h2 {
    color: $dark;
    font-size: 1.75rem;
    font-family: $serif;
    line-height: 1.4;
    font-weight: 250;
    margin: 0;
  }

  h3 {
    color: $dark;
    font-family: $serif;
    font-size: 1.275rem;
    line-height: 1.4;
    font-weight: 250;
    margin: 0;
  }

  h4 {
    color: $dark;
    font-family: $serif;
    font-size: 1.275rem;
    line-height: 1.625rem;
    font-weight: 400;
  }

  h5 {
    color: $dgrey;
    font-family: $serif;
    font-size: 1.125rem;
    font-weight: 400;
    line-height: 2rem;
    margin: 0;
  }

  h6 {
    color: $dark;
    font-family: $serif;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.6rem;
    margin: 0;
  }
}

//////////////////////////////////////////////////////////////// Heading Tags, HTML Tags

html, body {
  font-size: 16px;
  font-family: $body;
  font-weight: 400;
}

a {
  color: $link-color;
  &:hover, &:focus, &:active {
    color: $link-color;
    text-decoration: underline;
  }
}

h1 a {
  text-decoration: none;
}
h2 a {
  text-decoration: none;
}
h3 a {
  text-decoration: none;
}
h4 a {
  text-decoration: none;
}
h5 a {
  text-decoration: none;
}
h6 a {
  text-decoration: none;
}

p {
  font-size: 18px;
  line-height: 1.5;
  color: $site-text;
}

blockquote {
  border-left: 0;
  border-top: thick double #333;
  border-bottom: thick double #333;
  padding: 30px 10px 10px;
  font-weight: 100;
  p {
    font-size: 1.5rem;
    line-height: 1.3;
    color: $dark;
    font-weight: 100;
    font-family: $sans;
  }
}

i, em {
  font-size: inherit !important;
}

p.lead {
  font-family: $body;
  font-weight: 300;
  margin: 1rem 0;
  font-size: 1.5rem;
  line-height: 1.4;
}

p.byline {
  font-size: 1.175em;
  line-height: 1.2;
  font-weight: 500;
}

p.subparagraph {
  font-size: .975rem;
  line-height: 1.4rem;
  color: $mgrey;
}

li {
  font-size: 18px;
  line-height: 1.75;
  color: $site-text;
}

small, sub, sup { font-size: .83em };
sub             { vertical-align: sub };
sup             { vertical-align: super };

strong {
  font-weight: bold;
}

footer a {
  text-decoration: none;
}

footer {
  strong {
    color: $dark;
  }
}

::selection {
  color: #fff;
  text-shadow: 0.03em 0 $link-color, -0.03em 0 $link-color, 0 0.03em $link-color, 0 -0.03em $link-color, 0.06em 0 $link-color, -0.06em 0 $link-color, 0.09em 0 $link-color, -0.09em 0 $link-color, 0.12em 0 $link-color, -0.12em 0 $link-color, 0.15em 0 $link-color, -0.15em 0 $link-color;
  background: $link-color;
}


///************************************************************* Responsive Type Queries
// note: These were separated off of the _grid_config.scss query set for clarity and
// ease of access. but they're not vital, just convenient.

//*************************************************/ Base

